Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.transform
Class PublishTransformer

    java.lang.Object
      net.fortuna.ical4j.transform.Transformer
          net.fortuna.ical4j.transform.PublishTransformer

    public class PublishTransformer

extends Transformer

Transforms a calendar for publishing.

Author:
  benfortuna

Constructor Summary
`PublishTransformer()`

Method Summary
`Calendar` | `transform(Calendar calendar)` Transforms the specified calendar according to the implementation of this method.

Methods inherited from class net.fortuna.ical4j.transform.Transformer
`transform, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublishTransformer

    public PublishTransformer()

Method Detail

### transform

    public final Calendar transform(Calendar calendar)

  Description copied from class: `Transformer`
  Transforms the specified calendar according to the implementation of this method. By definition this method will modify the existing calendar instance and return it for convenience.

  Specified by:
    `transform` in class `Transformer`
  Parameters:
    `calendar` - a calendar to transform
  Returns:
    a transformed calendar

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.